*Chapter 10 commands-part 2

log using chap10part2, text replace
use chap10-els2002, clear

*Multilevel modeling for binary response variables
drop if missing(Profmath1, stlang, public, sclimate)
summarize Profmath1 stlang public sclimate efficacy 
generate csclimat = sclimate -r(mean)
sum csclimat

*Unconditional model (Model 1)
melogit Profmath1 || SCH_ID: , 
melogit, or
estimates store null

*Random-intercept model (Model 2)
melogit Profmath1 stlang || SCH_ID:  
melogit, or
estimates store ranint

*Log likelihood ratio test
lrtest null ranint

*Random-coefficient model (Model 3)
melogit Profmath1 stlang || SCH_ID: stlang, cov(uns) 
melogit, or
estimates store ranslop1

*Log likelihood ratio test
lrtest ranint ranslop1

*Contextual Model without Cross-Level Interactions (Model 4)
melogit Profmath1 stlang public csclimat || SCH_ID: stlang, cov(uns) 
melogit, or
estimates store ranslop2

* Log likelihood ratio test
lrtest ranslop1 ranslop2

*Creating interaction terms
generate pub_lang= public*stlang
generate cli_lang=csclimat*stlang

*Contextual Model with Cross-Level Interactions (Model 5)
melogit Profmath1 stlang public csclimat pub_lang cli_lang || SCH_ID: stlang, cov(uns) 
melogit, or
estimates store ranslop3

*Log likelihood ratio test
lrtest ranslop2 ranslop3

*Computing estimated probabilities with the margins command in Stata 13
quietly melogit Profmath1 i.stlang i.public csclimat || SCH_ID: stlang, cov(uns)
margins public, atmeans predict(mu fixedonly) vsquish
marginsplot

*margins in Stata 14
quietly melogit Profmath1 i.stlang i.public csclimat || SCH_ID: stlang, cov(uns)
margins public, atmeans vsquish

*Making publication-quality tables using outreg2
quietly melogit Profmath1 || SCH_ID: , 
outreg2 using chap10bout, dec(3) long word replace
outreg2 using chap10bout, eform long word append
*generate pub_lang= public*stlang     /*already defined in Model 5*/
*generate cli_lang=csclimat*stlang    /*already defined in Model 5*/ 
quietly melogit Profmath1 stlang public csclimat pub_lang cli_lang || SCH_ID: stlang, cov(uns) 
outreg2 using chap10bout,  dec(3) long word append
outreg2 using chap10bout, eform long word append

